<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-connect-node-card title="Connect the Data Broker" [showClose]="true">
  <ng-container *ngIf="(user$ | async)?.organisation; let org">
    <div class="flex flex-col items-center">
      <div class="text-text-300">You are member of the organisation:</div>
      <div class="flex items-center gap-4 font-semibold text-lg mt-10">
        <i class="fa fa-house-user" style="font-size: 2rem"></i>
        <div>{{ org.name }}</div>
      </div>
      <div class="mt-10 text-text-300 w-96 text-start">
        You can connect the Data Broker to organisation <span class="font-semibold">{{ org.name }}</span
        >, in these steps:
      </div>
      <div class="mt-10 text-text-500 w-96 text-start flex flex-col gap-2">
        <div *ngFor="let step of steps | keyvalue" class="flex items-start gap-2 font-semibold">
          <div>{{ +step.key + 1 }}.</div>
          <div>{{ step.value }}</div>
        </div>
      </div>
    </div>
    <div class="mt-10 pb-20 flex flex-col gap-1">
      <p-button label="Continue" (onClick)="continue()" [style]="{ width: '200px' }"></p-button>
    </div>
  </ng-container>
</app-connect-node-card>
